Index: trunk/sources/HeuristicLab.Hive.Contracts/3.2/BusinessObjects/ClientConfig.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Contracts/3.2/BusinessObjects/ClientConfig.cs	(revision 1998)
+++ trunk/sources/HeuristicLab.Hive.Contracts/3.2/BusinessObjects/ClientConfig.cs	(revision 1999)
@@ -33,5 +33,5 @@
   public class ClientConfig : PersistableObject {
     [DataMember]
-    public String UpDownTimeCalendar { get; set; } // TODO define DataStructure
+    public String UpDownTimeCalendar { get; set; }
     [DataMember]
     public int HeartBeatIntervall { get; set; }
Index: trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/ClientAdapter.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/ClientAdapter.cs	(revision 1998)
+++ trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/ClientAdapter.cs	(revision 1999)
@@ -78,4 +78,17 @@
       }
     }
+
+    private IClientConfigAdapter clientConfigAdapter = null;
+
+    private IClientConfigAdapter ClientConfigAdapter {
+      get {
+        if (clientConfigAdapter == null) {
+          clientConfigAdapter =
+            this.Session.GetDataAdapter<ClientConfig, IClientConfigAdapter>();
+        }
+
+        return clientConfigAdapter;
+      }
+    }
     #endregion
 
@@ -128,5 +141,8 @@
           client.FreeMemory = 0;
 
-        //todo: config adapter (client.config)
+        if (!row.IsClientConfigIdNull())
+          client.Config = ClientConfigAdapter.GetById(row.ClientConfigId);
+        else
+          client.Config = null;
 
         return client;
@@ -151,9 +167,8 @@
         row.FreeMemory = client.FreeMemory;
 
-        //todo: config adapter
-        /*if (client.Config != null)
-          row.ClientConfigId = client.Config.ClientConfigId;
-         else
-          row.ClientConfigId = null;*/
+        if (client.Config != null)
+          row.ClientConfigId = client.Config.Id;
+        else
+          row.SetClientConfigIdNull();
       }
 
@@ -167,4 +182,5 @@
       if (client != null) {
         ResAdapter.Update(client);
+        ClientConfigAdapter.Update(client.Config);
 
         base.doUpdate(client);
Index: trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/HeuristicLab.Hive.Server.ADODataAccess-3.2.csproj
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/HeuristicLab.Hive.Server.ADODataAccess-3.2.csproj	(revision 1998)
+++ trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/HeuristicLab.Hive.Server.ADODataAccess-3.2.csproj	(revision 1999)
@@ -81,4 +81,5 @@
   <ItemGroup>
     <Compile Include="ClientAdapter.cs" />
+    <Compile Include="ClientConfigAdapter.cs" />
     <Compile Include="ClientGroupAdapter.cs" />
     <Compile Include="ProjectAdapter.cs" />
@@ -104,4 +105,5 @@
     <Compile Include="ResourceAdapter.cs" />
     <Compile Include="TableAdapterWrapper\ClientAdapterWrapper.cs" />
+    <Compile Include="TableAdapterWrapper\ClientConfigAdapterWrapper.cs" />
     <Compile Include="TableAdapterWrapper\ClientGroupAdapterWrapper.cs" />
     <Compile Include="TableAdapterWrapper\ClientGroup_ResourceAdapterWrapper.cs" />
Index: trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/dsHiveServer.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/dsHiveServer.Designer.cs	(revision 1998)
+++ trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/dsHiveServer.Designer.cs	(revision 1999)
@@ -46,4 +46,6 @@
         private AssignedResourcesDataTable tableAssignedResources;
         
+        private ClientConfigDataTable tableClientConfig;
+        
         private global::System.Data.DataRelation relationClient_is_a_Resource;
         
@@ -71,4 +73,6 @@
         
         private global::System.Data.DataRelation relationR_56;
+        
+        private global::System.Data.DataRelation relationR_37;
         
         private global::System.Data.SchemaSerializationMode _schemaSerializationMode = global::System.Data.SchemaSerializationMode.IncludeSchema;
@@ -128,4 +132,7 @@
                     base.Tables.Add(new AssignedResourcesDataTable(ds.Tables["AssignedResources"]));
                 }
+                if ((ds.Tables["ClientConfig"] != null)) {
+                    base.Tables.Add(new ClientConfigDataTable(ds.Tables["ClientConfig"]));
+                }
                 this.DataSetName = ds.DataSetName;
                 this.Prefix = ds.Prefix;
@@ -237,4 +244,13 @@
         
         [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.ComponentModel.Browsable(false)]
+        [global::System.ComponentModel.DesignerSerializationVisibility(global::System.ComponentModel.DesignerSerializationVisibility.Content)]
+        public ClientConfigDataTable ClientConfig {
+            get {
+                return this.tableClientConfig;
+            }
+        }
+        
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
         [global::System.ComponentModel.BrowsableAttribute(true)]
         [global::System.ComponentModel.DesignerSerializationVisibilityAttribute(global::System.ComponentModel.DesignerSerializationVisibility.Visible)]
@@ -324,4 +340,7 @@
                 if ((ds.Tables["AssignedResources"] != null)) {
                     base.Tables.Add(new AssignedResourcesDataTable(ds.Tables["AssignedResources"]));
+                }
+                if ((ds.Tables["ClientConfig"] != null)) {
+                    base.Tables.Add(new ClientConfigDataTable(ds.Tables["ClientConfig"]));
                 }
                 this.DataSetName = ds.DataSetName;
@@ -413,4 +432,10 @@
                 if ((this.tableAssignedResources != null)) {
                     this.tableAssignedResources.InitVars();
+                }
+            }
+            this.tableClientConfig = ((ClientConfigDataTable)(base.Tables["ClientConfig"]));
+            if ((initTable == true)) {
+                if ((this.tableClientConfig != null)) {
+                    this.tableClientConfig.InitVars();
                 }
             }
@@ -428,4 +453,5 @@
             this.relationR_55 = this.Relations["R_55"];
             this.relationR_56 = this.Relations["R_56"];
+            this.relationR_37 = this.Relations["R_37"];
         }
         
@@ -457,4 +483,6 @@
             this.tableAssignedResources = new AssignedResourcesDataTable();
             base.Tables.Add(this.tableAssignedResources);
+            this.tableClientConfig = new ClientConfigDataTable();
+            base.Tables.Add(this.tableClientConfig);
             this.relationClient_is_a_Resource = new global::System.Data.DataRelation("Client_is_a_Resource", new global::System.Data.DataColumn[] {
                         this.tableResource.ResourceIdColumn}, new global::System.Data.DataColumn[] {
@@ -509,4 +537,8 @@
                         this.tableAssignedResources.JobIdColumn}, false);
             this.Relations.Add(this.relationR_56);
+            this.relationR_37 = new global::System.Data.DataRelation("R_37", new global::System.Data.DataColumn[] {
+                        this.tableClientConfig.ClientConfigIdColumn}, new global::System.Data.DataColumn[] {
+                        this.tableClient.ClientConfigIdColumn}, false);
+            this.Relations.Add(this.relationR_37);
         }
         
@@ -558,4 +590,9 @@
         [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
         private bool ShouldSerializeAssignedResources() {
+            return false;
+        }
+        
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        private bool ShouldSerializeClientConfig() {
             return false;
         }
@@ -634,4 +671,6 @@
         public delegate void AssignedResourcesRowChangeEventHandler(object sender, AssignedResourcesRowChangeEvent e);
         
+        public delegate void ClientConfigRowChangeEventHandler(object sender, ClientConfigRowChangeEvent e);
+        
         /// <summary>
         ///Represents the strongly named DataTable class.
@@ -782,5 +821,5 @@
             
             [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
-            public ClientRow AddClientRow(ResourceRow parentResourceRowByClient_is_a_Resource, int CPUSpeed, int Memory, System.DateTime Login, string Status, System.Guid ClientConfigId, int NumberOfCores, int NumberOfFreeCores, int FreeMemory) {
+            public ClientRow AddClientRow(ResourceRow parentResourceRowByClient_is_a_Resource, int CPUSpeed, int Memory, System.DateTime Login, string Status, ClientConfigRow parentClientConfigRowByR_37, int NumberOfCores, int NumberOfFreeCores, int FreeMemory) {
                 ClientRow rowClientRow = ((ClientRow)(this.NewRow()));
                 object[] columnValuesArray = new object[] {
@@ -790,5 +829,5 @@
                         Login,
                         Status,
-                        ClientConfigId,
+                        null,
                         NumberOfCores,
                         NumberOfFreeCores,
@@ -796,4 +835,7 @@
                 if ((parentResourceRowByClient_is_a_Resource != null)) {
                     columnValuesArray[0] = parentResourceRowByClient_is_a_Resource[0];
+                }
+                if ((parentClientConfigRowByR_37 != null)) {
+                    columnValuesArray[5] = parentClientConfigRowByR_37[0];
                 }
                 rowClientRow.ItemArray = columnValuesArray;
@@ -3456,4 +3498,264 @@
         
         /// <summary>
+        ///Represents the strongly named DataTable class.
+        ///</summary>
+        [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "2.0.0.0")]
+        [global::System.Serializable()]
+        [global::System.Xml.Serialization.XmlSchemaProviderAttribute("GetTypedTableSchema")]
+        public partial class ClientConfigDataTable : global::System.Data.TypedTableBase<ClientConfigRow> {
+            
+            private global::System.Data.DataColumn columnClientConfigId;
+            
+            private global::System.Data.DataColumn columnUpDownTimeCalendar;
+            
+            private global::System.Data.DataColumn columnHeartBeatIntervall;
+            
+            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+            public ClientConfigDataTable() {
+                this.TableName = "ClientConfig";
+                this.BeginInit();
+                this.InitClass();
+                this.EndInit();
+            }
+            
+            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+            internal ClientConfigDataTable(global::System.Data.DataTable table) {
+                this.TableName = table.TableName;
+                if ((table.CaseSensitive != table.DataSet.CaseSensitive)) {
+                    this.CaseSensitive = table.CaseSensitive;
+                }
+                if ((table.Locale.ToString() != table.DataSet.Locale.ToString())) {
+                    this.Locale = table.Locale;
+                }
+                if ((table.Namespace != table.DataSet.Namespace)) {
+                    this.Namespace = table.Namespace;
+                }
+                this.Prefix = table.Prefix;
+                this.MinimumCapacity = table.MinimumCapacity;
+            }
+            
+            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+            protected ClientConfigDataTable(global::System.Runtime.Serialization.SerializationInfo info, global::System.Runtime.Serialization.StreamingContext context) : 
+                    base(info, context) {
+                this.InitVars();
+            }
+            
+            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+            public global::System.Data.DataColumn ClientConfigIdColumn {
+                get {
+                    return this.columnClientConfigId;
+                }
+            }
+            
+            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+            public global::System.Data.DataColumn UpDownTimeCalendarColumn {
+                get {
+                    return this.columnUpDownTimeCalendar;
+                }
+            }
+            
+            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+            public global::System.Data.DataColumn HeartBeatIntervallColumn {
+                get {
+                    return this.columnHeartBeatIntervall;
+                }
+            }
+            
+            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+            [global::System.ComponentModel.Browsable(false)]
+            public int Count {
+                get {
+                    return this.Rows.Count;
+                }
+            }
+            
+            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+            public ClientConfigRow this[int index] {
+                get {
+                    return ((ClientConfigRow)(this.Rows[index]));
+                }
+            }
+            
+            public event ClientConfigRowChangeEventHandler ClientConfigRowChanging;
+            
+            public event ClientConfigRowChangeEventHandler ClientConfigRowChanged;
+            
+            public event ClientConfigRowChangeEventHandler ClientConfigRowDeleting;
+            
+            public event ClientConfigRowChangeEventHandler ClientConfigRowDeleted;
+            
+            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+            public void AddClientConfigRow(ClientConfigRow row) {
+                this.Rows.Add(row);
+            }
+            
+            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+            public ClientConfigRow AddClientConfigRow(System.Guid ClientConfigId, string UpDownTimeCalendar, int HeartBeatIntervall) {
+                ClientConfigRow rowClientConfigRow = ((ClientConfigRow)(this.NewRow()));
+                object[] columnValuesArray = new object[] {
+                        ClientConfigId,
+                        UpDownTimeCalendar,
+                        HeartBeatIntervall};
+                rowClientConfigRow.ItemArray = columnValuesArray;
+                this.Rows.Add(rowClientConfigRow);
+                return rowClientConfigRow;
+            }
+            
+            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+            public ClientConfigRow FindByClientConfigId(System.Guid ClientConfigId) {
+                return ((ClientConfigRow)(this.Rows.Find(new object[] {
+                            ClientConfigId})));
+            }
+            
+            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+            public override global::System.Data.DataTable Clone() {
+                ClientConfigDataTable cln = ((ClientConfigDataTable)(base.Clone()));
+                cln.InitVars();
+                return cln;
+            }
+            
+            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+            protected override global::System.Data.DataTable CreateInstance() {
+                return new ClientConfigDataTable();
+            }
+            
+            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+            internal void InitVars() {
+                this.columnClientConfigId = base.Columns["ClientConfigId"];
+                this.columnUpDownTimeCalendar = base.Columns["UpDownTimeCalendar"];
+                this.columnHeartBeatIntervall = base.Columns["HeartBeatIntervall"];
+            }
+            
+            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+            private void InitClass() {
+                this.columnClientConfigId = new global::System.Data.DataColumn("ClientConfigId", typeof(global::System.Guid), null, global::System.Data.MappingType.Element);
+                base.Columns.Add(this.columnClientConfigId);
+                this.columnUpDownTimeCalendar = new global::System.Data.DataColumn("UpDownTimeCalendar", typeof(string), null, global::System.Data.MappingType.Element);
+                base.Columns.Add(this.columnUpDownTimeCalendar);
+                this.columnHeartBeatIntervall = new global::System.Data.DataColumn("HeartBeatIntervall", typeof(int), null, global::System.Data.MappingType.Element);
+                base.Columns.Add(this.columnHeartBeatIntervall);
+                this.Constraints.Add(new global::System.Data.UniqueConstraint("Constraint1", new global::System.Data.DataColumn[] {
+                                this.columnClientConfigId}, true));
+                this.columnClientConfigId.AllowDBNull = false;
+                this.columnClientConfigId.Unique = true;
+                this.columnUpDownTimeCalendar.MaxLength = 2147483647;
+            }
+            
+            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+            public ClientConfigRow NewClientConfigRow() {
+                return ((ClientConfigRow)(this.NewRow()));
+            }
+            
+            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+            protected override global::System.Data.DataRow NewRowFromBuilder(global::System.Data.DataRowBuilder builder) {
+                return new ClientConfigRow(builder);
+            }
+            
+            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+            protected override global::System.Type GetRowType() {
+                return typeof(ClientConfigRow);
+            }
+            
+            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+            protected override void OnRowChanged(global::System.Data.DataRowChangeEventArgs e) {
+                base.OnRowChanged(e);
+                if ((this.ClientConfigRowChanged != null)) {
+                    this.ClientConfigRowChanged(this, new ClientConfigRowChangeEvent(((ClientConfigRow)(e.Row)), e.Action));
+                }
+            }
+            
+            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+            protected override void OnRowChanging(global::System.Data.DataRowChangeEventArgs e) {
+                base.OnRowChanging(e);
+                if ((this.ClientConfigRowChanging != null)) {
+                    this.ClientConfigRowChanging(this, new ClientConfigRowChangeEvent(((ClientConfigRow)(e.Row)), e.Action));
+                }
+            }
+            
+            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+            protected override void OnRowDeleted(global::System.Data.DataRowChangeEventArgs e) {
+                base.OnRowDeleted(e);
+                if ((this.ClientConfigRowDeleted != null)) {
+                    this.ClientConfigRowDeleted(this, new ClientConfigRowChangeEvent(((ClientConfigRow)(e.Row)), e.Action));
+                }
+            }
+            
+            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+            protected override void OnRowDeleting(global::System.Data.DataRowChangeEventArgs e) {
+                base.OnRowDeleting(e);
+                if ((this.ClientConfigRowDeleting != null)) {
+                    this.ClientConfigRowDeleting(this, new ClientConfigRowChangeEvent(((ClientConfigRow)(e.Row)), e.Action));
+                }
+            }
+            
+            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+            public void RemoveClientConfigRow(ClientConfigRow row) {
+                this.Rows.Remove(row);
+            }
+            
+            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+            public static global::System.Xml.Schema.XmlSchemaComplexType GetTypedTableSchema(global::System.Xml.Schema.XmlSchemaSet xs) {
+                global::System.Xml.Schema.XmlSchemaComplexType type = new global::System.Xml.Schema.XmlSchemaComplexType();
+                global::System.Xml.Schema.XmlSchemaSequence sequence = new global::System.Xml.Schema.XmlSchemaSequence();
+                dsHiveServer ds = new dsHiveServer();
+                global::System.Xml.Schema.XmlSchemaAny any1 = new global::System.Xml.Schema.XmlSchemaAny();
+                any1.Namespace = "http://www.w3.org/2001/XMLSchema";
+                any1.MinOccurs = new decimal(0);
+                any1.MaxOccurs = decimal.MaxValue;
+                any1.ProcessContents = global::System.Xml.Schema.XmlSchemaContentProcessing.Lax;
+                sequence.Items.Add(any1);
+                global::System.Xml.Schema.XmlSchemaAny any2 = new global::System.Xml.Schema.XmlSchemaAny();
+                any2.Namespace = "urn:schemas-microsoft-com:xml-diffgram-v1";
+                any2.MinOccurs = new decimal(1);
+                any2.ProcessContents = global::System.Xml.Schema.XmlSchemaContentProcessing.Lax;
+                sequence.Items.Add(any2);
+                global::System.Xml.Schema.XmlSchemaAttribute attribute1 = new global::System.Xml.Schema.XmlSchemaAttribute();
+                attribute1.Name = "namespace";
+                attribute1.FixedValue = ds.Namespace;
+                type.Attributes.Add(attribute1);
+                global::System.Xml.Schema.XmlSchemaAttribute attribute2 = new global::System.Xml.Schema.XmlSchemaAttribute();
+                attribute2.Name = "tableTypeName";
+                attribute2.FixedValue = "ClientConfigDataTable";
+                type.Attributes.Add(attribute2);
+                type.Particle = sequence;
+                global::System.Xml.Schema.XmlSchema dsSchema = ds.GetSchemaSerializable();
+                if (xs.Contains(dsSchema.TargetNamespace)) {
+                    global::System.IO.MemoryStream s1 = new global::System.IO.MemoryStream();
+                    global::System.IO.MemoryStream s2 = new global::System.IO.MemoryStream();
+                    try {
+                        global::System.Xml.Schema.XmlSchema schema = null;
+                        dsSchema.Write(s1);
+                        for (global::System.Collections.IEnumerator schemas = xs.Schemas(dsSchema.TargetNamespace).GetEnumerator(); schemas.MoveNext(); ) {
+                            schema = ((global::System.Xml.Schema.XmlSchema)(schemas.Current));
+                            s2.SetLength(0);
+                            schema.Write(s2);
+                            if ((s1.Length == s2.Length)) {
+                                s1.Position = 0;
+                                s2.Position = 0;
+                                for (; ((s1.Position != s1.Length) 
+                                            && (s1.ReadByte() == s2.ReadByte())); ) {
+                                    ;
+                                }
+                                if ((s1.Position == s1.Length)) {
+                                    return type;
+                                }
+                            }
+                        }
+                    }
+                    finally {
+                        if ((s1 != null)) {
+                            s1.Close();
+                        }
+                        if ((s2 != null)) {
+                            s2.Close();
+                        }
+                    }
+                }
+                xs.Add(dsSchema);
+                return type;
+            }
+        }
+        
+        /// <summary>
         ///Represents strongly named DataRow class.
         ///</summary>
@@ -3610,4 +3912,14 @@
             
             [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+            public ClientConfigRow ClientConfigRow {
+                get {
+                    return ((ClientConfigRow)(this.GetParentRow(this.Table.ParentRelations["R_37"])));
+                }
+                set {
+                    this.SetParentRow(value, this.Table.ParentRelations["R_37"]);
+                }
+            }
+            
+            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
             public bool IsCPUSpeedNull() {
                 return this.IsNull(this.tableClient.CPUSpeedColumn);
@@ -4771,4 +5083,89 @@
         
         /// <summary>
+        ///Represents strongly named DataRow class.
+        ///</summary>
+        [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "2.0.0.0")]
+        public partial class ClientConfigRow : global::System.Data.DataRow {
+            
+            private ClientConfigDataTable tableClientConfig;
+            
+            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+            internal ClientConfigRow(global::System.Data.DataRowBuilder rb) : 
+                    base(rb) {
+                this.tableClientConfig = ((ClientConfigDataTable)(this.Table));
+            }
+            
+            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+            public System.Guid ClientConfigId {
+                get {
+                    return ((global::System.Guid)(this[this.tableClientConfig.ClientConfigIdColumn]));
+                }
+                set {
+                    this[this.tableClientConfig.ClientConfigIdColumn] = value;
+                }
+            }
+            
+            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+            public string UpDownTimeCalendar {
+                get {
+                    try {
+                        return ((string)(this[this.tableClientConfig.UpDownTimeCalendarColumn]));
+                    }
+                    catch (global::System.InvalidCastException e) {
+                        throw new global::System.Data.StrongTypingException("The value for column \'UpDownTimeCalendar\' in table \'ClientConfig\' is DBNull.", e);
+                    }
+                }
+                set {
+                    this[this.tableClientConfig.UpDownTimeCalendarColumn] = value;
+                }
+            }
+            
+            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+            public int HeartBeatIntervall {
+                get {
+                    try {
+                        return ((int)(this[this.tableClientConfig.HeartBeatIntervallColumn]));
+                    }
+                    catch (global::System.InvalidCastException e) {
+                        throw new global::System.Data.StrongTypingException("The value for column \'HeartBeatIntervall\' in table \'ClientConfig\' is DBNull.", e);
+                    }
+                }
+                set {
+                    this[this.tableClientConfig.HeartBeatIntervallColumn] = value;
+                }
+            }
+            
+            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+            public bool IsUpDownTimeCalendarNull() {
+                return this.IsNull(this.tableClientConfig.UpDownTimeCalendarColumn);
+            }
+            
+            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+            public void SetUpDownTimeCalendarNull() {
+                this[this.tableClientConfig.UpDownTimeCalendarColumn] = global::System.Convert.DBNull;
+            }
+            
+            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+            public bool IsHeartBeatIntervallNull() {
+                return this.IsNull(this.tableClientConfig.HeartBeatIntervallColumn);
+            }
+            
+            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+            public void SetHeartBeatIntervallNull() {
+                this[this.tableClientConfig.HeartBeatIntervallColumn] = global::System.Convert.DBNull;
+            }
+            
+            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+            public ClientRow[] GetClientRows() {
+                if ((this.Table.ChildRelations["R_37"] == null)) {
+                    return new ClientRow[0];
+                }
+                else {
+                    return ((ClientRow[])(base.GetChildRows(this.Table.ChildRelations["R_37"])));
+                }
+            }
+        }
+        
+        /// <summary>
         ///Row event argument class
         ///</summary>
@@ -5067,4 +5464,35 @@
             [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
             public AssignedResourcesRow Row {
+                get {
+                    return this.eventRow;
+                }
+            }
+            
+            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+            public global::System.Data.DataRowAction Action {
+                get {
+                    return this.eventAction;
+                }
+            }
+        }
+        
+        /// <summary>
+        ///Row event argument class
+        ///</summary>
+        [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Data.Design.TypedDataSetGenerator", "2.0.0.0")]
+        public class ClientConfigRowChangeEvent : global::System.EventArgs {
+            
+            private ClientConfigRow eventRow;
+            
+            private global::System.Data.DataRowAction eventAction;
+            
+            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+            public ClientConfigRowChangeEvent(ClientConfigRow row, global::System.Data.DataRowAction action) {
+                this.eventRow = row;
+                this.eventAction = action;
+            }
+            
+            [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+            public ClientConfigRow Row {
                 get {
                     return this.eventRow;
